Bug 104880 - severn and taroon cannot share $HOME /home
severn and taroon cannot share $HOME /home
Status: CLOSED RAWHIDE
Product: Red Hat Linux Beta
Classification: Retired
Component: gnome-desktop (Show other bugs)
beta1
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Mark McLoughlin
:
Depends On:
Blocks: CambridgeBlocker
  Show dependency treegraph
 
Reported: 2003-09-23 00:29 EDT by John Reiser
Modified: 2007-04-18 12:57 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-11-12 12:22:22 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description John Reiser 2003-09-23 00:29:30 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.4) Gecko/20030703

Description of problem:
The previous gnome-desktop-2.2.0.1-5 of severn was compatible with the
gnome-desktop of tarron.  A user could have the same $HOME for both systems [the
same /home partition mounted under either, using sequential dual boot of
different root partitions], and everything would just work under both systems. 
Installing the new gnome-desktop-2.4.0-1 onto severn breaks the taroon system. 
The taroon panel is gone.  The only items left are the RedHat "Start" icon and
the clock; the WebBrowser button and all OpenOffice buttons have disappeared. 
Worse, now on taroon /usr/bin/mozilla freezes shortly after displaying the
background of the main window, title bar, etc., but no content.

Upgrading one system should not kill the other.  There should be two "root"
desktop directories: one for gnome-desktop-2.2 and one for gnome-desktop-2.4. 
Upon installation the one for 2.4 should be initialized with a copy of the
contents of the one for 2.2, and perfhaps there should be a way to transfer
subsequent changes from the 2.2 to the 2.4 [and back, if possible], but mere
installation of 2.4 should not kill 2.2 on the other system.

Version-Release number of selected component (if applicable):
gnome-desktop-2.4.0-1

How reproducible:
Didn't try

Steps to Reproduce:
1. install original severn with gnome-desktop-2.2 and separate /home partition.
2. install taroon (gnome-desktop-2.2) on a different root partition, but share
/home with severn.
3. observe that $HOME directories interoperate.
4. up2date severn to gnome-desktop-2.4
5. observe that severn desktop works, but taroon desktop is broken (panel
destroyed, /usr/bin/mozilla freezes)
    

Actual Results:  up2date of severn to gnome-desktop-2.4, sharing user $HOME
[/home] with taroon gnome-desktop-2.2, destroys taroon desktop.

Expected Results:  Both desktops should work, although they might not be
"synchronized" anymore (changes in one might not propagate automatically to the
other).

Additional info:
Comment 1 Havoc Pennington 2003-09-23 14:58:59 EDT
If you want to just totally separate the configs, you can do that by changing
the gconf path (~/.gconf.path I believe). See the GNOME sysadmin guide and 
www.gnome.org/projects/gconf/

However if this is necessary it is a GNOME bug. (Or it sounds like you're seeing
a separate mozilla bug as well.)
Comment 2 Alexander Larsson 2003-09-24 03:50:16 EDT
Exactly which version of gnome-panel was installed in Severn?
Comment 3 John Reiser 2003-09-24 09:27:18 EDT
gnome-panel-2.4.0-1    is  the new severn ["rpm -qa | grep gnome-panel"]
gnome-panel-2.2.0.1-9  was the old severn [/var/spool/repackage 2003-09-23 03:12
UTC]
Comment 4 John Reiser 2003-09-24 10:21:36 EDT
gnome-panel-2.2.2.1-2  is the one on taroon.
Now it has the RedHat, the schematic 4-window pager, the window lister for the
current page [I only use 1 page], and the clock.  The other icons (web browser,
OpenOffice, Terminal [that I added]) have disappeared.

And /usr/bin/mozilla did not freeze this time (being used to enter this Comment).
Comment 5 George Lebl 2003-09-24 12:47:06 EDT
I bet this must be the schema thing biting us.  Alex: Are the taroon schemas the
same as rh9 schemas?  And which schemas did you add to the 2.4 panel package? 
If they are different then we are in major doodoo.
Comment 6 Alexander Larsson 2003-09-25 04:25:52 EDT
I believe the taroon and the rh9 schemas are the same, and i used those same
schemas in cambridge.
Comment 7 Mark McLoughlin 2004-11-12 12:22:22 EST
Latest gnome-panel package in rawhide has been fixed so that it
happily shares a home directory with gnome-panel-2.2 and before.

Very belated fix but ...

Note You need to log in before you can comment on or make changes to this bug.